Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class MenuDetectEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.MenuDetectEvent

public final class MenuDetectEvent
extends TypedEvent

Instances of this class are sent whenever the platform- specific trigger for showing a context menu is detected.

Since:
  1.3
See Also:
  `MenuDetectListener`, Sample code and further information, Serialized Form

Field Summary
`boolean` `doit` A flag indicating whether the operation should be allowed.
`int` `x` the display-relative x coordinate of the pointer at the time the context menu trigger occurred
`int` `y` the display-relative y coordinate of the pointer at the time the context menu trigger occurred

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`MenuDetectEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`MenuDetectEvent(Widget source)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, MenuDetectListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, MenuDetectListener listener)`
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  the display-relative x coordinate of the pointer at the time the context menu trigger occurred

### y

    public int y

  the display-relative y coordinate of the pointer at the time the context menu trigger occurred

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

Constructor Detail

### MenuDetectEvent

    public MenuDetectEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

### MenuDetectEvent

    public MenuDetectEvent(Widget source)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### addListener

    public static void addListener(Adaptable adaptable,
                                   MenuDetectListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      MenuDetectListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.